Update Event Type

Update an existing Event Type **NOTE:** * Currently, this endpoint only supports one-on-one event types (kind: "solo"). <Info title="Required scopes"> > `event_types:write` </Info>

Authentication

AuthorizationBearer
OAuth 2.0
OR
AuthorizationBearer
Personal Access Token

Path parameters

uuidstringRequired

Request

This endpoint expects an object.
activebooleanOptional
Indicates if the event type is active or not
namestringOptional
The event type name
colorstringOptionalformat: "^#[a-f\d]{6}$"
The hexadecimal color value of the event type's scheduling page
descriptionstringOptional
The event type description
durationintegerOptional1-720
The length of sessions booked with this event type. Must be one of the duration options if they're provided.
duration_optionslist of integersOptional

A maximum of 4 unique options is allowed. Each option must be >= 1 and <= 720.

localeenumOptional
The locale on the event type, used to determine the language of the event type's scheduling page
locationslist of objectsOptional
Configuration information for each possible location for this Event Type

Response

OK
resourceobject
A configuration for an Event Type

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error